package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 特殊用品采购单表
 * </p>
 *
 * @author fu
 * @since 2025-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaCgdDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 特殊用品采购单表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 表单定义表主键
     */
    private Integer formId;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 申请人id
     */
    private Long proposer;

    /**
     * 单据状态 (0:未提交,1:审批中,2:审批通过,3:审批不通过)
     */
    private Integer docStatus;

    /**
     * 采购明细
     */
    private String purchaseDetails;

    /**
     * 采购原因
     */
    private String reason;

    /**
     * 供应商
     */
    private String supplier;

    /**
     * 期望到货日期
     */
    private LocalDate arrivalTime;

    /**
     * 支付方式（1：月结）
     */
    private Integer paymentMethod;

    /**
     * 图片URL(多张 , 隔开)
     */
    private String image;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
